groups:
  - name: telegram_bot_alerts
    rules:
      - alert: HighErrorRate
        expr: rate(http_requests_total{status=~"5.."}[5m]) / rate(http_requests_total[5m]) > 0.05
        for: 2m
        labels:
          severity: critical
          service: telegram-bot
        annotations:
          summary: "نرخ خطای بالای API ({{ $value | humanizePercentage }})"
          description: "نرخ خطای HTTP بیشتر از 5% برای 2 دقیقه"
          
      - alert: DatabaseDown
        expr: up{job="mysql"} == 0
        for: 1m
        labels:
          severity: critical
          service: mysql
        annotations:
          summary: "پایگاه داده MySQL از کار افتاده است"
          description: "MySQL برای 1 دقیقه در دسترس نیست"
          
      - alert: HighMemoryUsage
        expr: (node_memory_MemTotal_bytes - node_memory_MemAvailable_bytes) / node_memory_MemTotal_bytes > 0.8
        for: 5m
        labels:
          severity: warning
          service: system
        annotations:
          summary: "مصرف بالای حافظه ({{ $value | humanizePercentage }})"
          description: "مصرف حافظه بیشتر از 80% برای 5 دقیقه"
          
      - alert: DiskSpaceLow
        expr: (node_filesystem_size_bytes{fstype!="tmpfs"} - node_filesystem_free_bytes{fstype!="tmpfs"}) / node_filesystem_size_bytes{fstype!="tmpfs"} > 0.85
        for: 10m
        labels:
          severity: warning
          service: system
        annotations:
          summary: "فضای دیسک کم ({{ $value | humanizePercentage }})"
          description: "فضای دیسک بیشتر از 85% پر شده است"
          
      - alert: WebhookErrors
        expr: increase(telegram_webhook_errors_total[1h]) > 10
        labels:
          severity: warning
          service: telegram-bot
        annotations:
          summary: "خطاهای متعدد وب‌هوک ({{ $value }} خطا در 1 ساعت)"
          description: "تعداد خطاهای وب‌هوک افزایش یافته است"
          
      - alert: QueueBacklog
        expr: telegram_message_queue_size > 100
        for: 5m
        labels:
          severity: warning
          service: telegram-bot
        annotations:
          summary: "صف پیام‌ها در حال انباشته شدن ({{ $value }} پیام)"
          description: "تعداد پیام‌های در صف انتظار بیشتر از 100 است"